#include "partition.h"
#include <vector>
#include <map>
#include <algorithm>
#include <iostream>
const int NMAX=1000005;

using namespace std;

struct duo
{
    int idx,val;
};

vector<duo> ans;
vector<int> ansF;
bool shown[NMAX];
int change[NMAX];

bool cmp(duo a,duo b)
{
    if(a.val<b.val) return true;
    else if(a.val>b.val) return false;
    else
    {
        if(a.idx<b.idx) return true;
        else return false;
    }
}

vector<int> solve(std::vector<int> v)
{
    vector<int> ansF;
    int cnt=0;
    for(auto i:v) ansF.push_back(cnt++);
    return ansF;
}

/*1
8
6 6 3 1 1 4 4 3*/
